﻿using MvcApplication1.Models;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Helpers;
using System.Web.Mvc;
using System.Web.Script.Services;
using System.Web.Services;

namespace MvcApplication1.Controllers
{
	public class HomeController : Controller
	{
		private static Product[] products1 = {
						new Product {
							Name = "Bread",
							Quantity=3
						},
						new Product {
							Name="Pizza",
							Quantity= 4
						}
									 };
		private static Product[] products2 = {
						new Product {
							Name="Milk",
							Quantity= 1
						},
						new Product {
							Name= "Fruit punch",
							Quantity= 4
						}};

		private Category[] categories = {
						new Category
						{
							ID = 1,
							Name="Food",
							products=products1
						},
						new Category
						{
							ID = 2,
							Name="Beverages",
							products=products2
						}
						};
		private static ProductDetails[] details =
			{
			new ProductDetails
			{
				Price = 32.5
			}
		};
		private Product[] products =
			{
			new Product
			{
				Name = "Cheese",
				Quantity = 5,
				details = details
			}
		};

		public ActionResult Index()
		{
			return View();
		}

		public ActionResult RenderPartialView()
		{
			var model = GetData1();
			return PartialView("Partial/Grid", model);
		}

		public IEnumerable<Category> GetData()
		{
			IEnumerable<Category> data = categories;
			return data;
		}

		public IEnumerable<Product> GetData1()
		{
			IEnumerable<Product> data = products;
			return data;
		}

		public JsonResult GetProductDataJson()
		{
			IEnumerable<Category> data = GetData();
			return Json(data, JsonRequestBehavior.AllowGet);
		}

		public JsonResult GetProductDataJson1()
		{
			IEnumerable<Product> data = GetData1();
			return Json(data, JsonRequestBehavior.AllowGet);
		}
	}
}
